using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace pipa
{
    /// <summary>
    /// The background screen sits behind all the other menu screens.
    /// </summary>
    class BackgroundScreen : GameScreen
    {
        private Texture2D backgroundImage;

        public BackgroundScreen()
        {
            TransitionOnTime = TimeSpan.FromSeconds(0.5);
            TransitionOffTime = TimeSpan.FromSeconds(0.5);
        }

        public override void LoadContent()
        {
            backgroundImage = ScreenManager.Game.Content.Load<Texture2D>("blank");
            base.LoadContent();
        }

        public override void Update(GameTime gameTime, bool otherScreenHasFocus,
                                                       bool coveredByOtherScreen)
        {            
            base.Update(gameTime, otherScreenHasFocus, false);
        }


        public override void Draw(GameTime gameTime)
        {
            SpriteBatch spriteBatch = ScreenManager.SpriteBatch;
            Viewport viewport = ScreenManager.GraphicsDevice.Viewport;
            Rectangle fullscreen = new Rectangle(0, 0, viewport.Width, viewport.Height);
            
            spriteBatch.Begin(SpriteBlendMode.None);

            spriteBatch.Draw(backgroundImage, fullscreen, Color.SteelBlue);

            spriteBatch.End();
        }
    }
}
