﻿#region Using Statements

using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Net;

#endregion

namespace pipa.Menus
{
    internal class EndScreen : MenuScreen
    {
        private Texture2D endScreenTexture;

        public EndScreen()
            : base("")
        {
        }

        public override void LoadContent()
        {
            IsPopup = true;

            endScreenTexture = ScreenManager.Content.Load<Texture2D>("menu/ui_endscreen");

            base.LoadContent();
        }

        public override void HandleInput(GameTime gameTime, InputState input)
        {
            if(input.IsMenuSelect() || input.IsMenuCancel())
            {
                LoadingScreen.Load(ScreenManager, null, new BackgroundScreen(),
                               new MainMenuScreen());    
            }
        }
        
        public override void Draw(GameTime gameTime)
        {
            ScreenManager.SpriteBatch.Begin();
            ScreenManager.SpriteBatch.Draw(endScreenTexture, 
                new Rectangle(0, 0, ScreenManager.Graphics.PreferredBackBufferWidth, ScreenManager.Graphics.PreferredBackBufferHeight),
                Color.White);
            ScreenManager.SpriteBatch.End();
            base.Draw(gameTime);
        }
    }
}