﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace pipa.Scene
{
    class TargetPoint
    {
        private Vector2 position;
        public Vector2 Position
        {
            get { return position;}
            set { this.position = value; BoundingBox = new Rectangle((int)position.X+50, (int)position.Y+50, targetPoint.Width-100, targetPoint.Height-100); }
        }

        private Rectangle BoundingBox;
        private Texture2D targetPoint;
        private ScreenManager screenManager;

        public TargetPoint(ScreenManager screenManager)
        {
            this.screenManager = screenManager;
        }

        public void LoadContent()
        {
            targetPoint = screenManager.Content.Load<Texture2D>("scene/target_point");
            BoundingBox = new Rectangle((int)Position.X+50, (int)Position.Y+50, targetPoint.Width-100, targetPoint.Height-100);
        }

        public void Update(GameTime gameTime)
        {
            
        }

        Vector2 tmp;
        public void Draw(GameTime gameTime, Vector2 cameraPosition, SpriteBatch spriteBatch)
        {
            tmp.X = Position.X;
            tmp.Y = Position.Y - (cameraPosition.Y - 384 - 128);
            spriteBatch.Draw(targetPoint, tmp, Color.White);
        }

        public bool hasReachedTarget(Rectangle box)
        {
            return BoundingBox.Intersects(box);
        }
    }
}
