#region Using Statements
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;
#endregion

namespace pipa
{
    public class InputState
    {
        public KeyboardState CurrentKeyboardState;
        public KeyboardState LastKeyboardState;

        public InputState()
        {
            CurrentKeyboardState = Keyboard.GetState();
            LastKeyboardState = Keyboard.GetState();
        }

        public void Update()
        {
            LastKeyboardState = CurrentKeyboardState;
            CurrentKeyboardState = Keyboard.GetState();
        }

        public bool WasKeyPressed(Keys key)
        {
            return CurrentKeyboardState.IsKeyDown(key) && !LastKeyboardState.IsKeyDown(key);
        }

        public bool IsMenuSelect()
        {
            return WasKeyPressed(Keys.Space) ||
                   WasKeyPressed(Keys.Enter);
        }

        public bool IsMenuCancel()
        {
            return WasKeyPressed(Keys.Escape);
        }

        public bool IsMenuUp()
        {
            return WasKeyPressed(Keys.Up);
        }

        public bool IsMenuDown()
        {
            return WasKeyPressed(Keys.Down);
        }

        public bool IsPauseGame()
        {
            return WasKeyPressed(Keys.Escape);
        }
    }
}
